import json
import unittest
import requests
from abc import ABC


def request_response(url:str, method='GET', query={}, payload={}):
    response = None
    print('??',url)
    if query:
        query = '?%s' % url_encode(query)
    else:
        query = ''


    readme_hint = ''
    readme_url = f'http://127.0.0.1:5000/'
    request_url = f'{readme_url}{url}{query}'
    print(request_url)

    if method == 'GET':
        response = requests.get(request_url)
        readme_hint = 'Obtendo '

    if method == 'POST':
        response = requests.post(request_url, json=payload)
        readme_hint += 'Inserindo '

    if method == 'PUT':
        response = requests.put(request_url, json=json.dumps(payload))
        readme_hint += 'Editando '

    if method == 'PATCH':
        response = requests.patch(request_url, json=json.dumps(payload))
        readme_hint += 'Atualizando '

    if method == 'DELETE':
        # https://www.rfc-editor.org/rfc/rfc7231#section-4.3.5
        response = requests.delete(request_url, json=json.dumps(payload))
        readme_hint = 'Removendo '

    readme_query = ''
    if query:
        readme_query = f'`{query}`'
    readme_message = f'\n\n#### {readme_hint}({readme_url}){readme_query}\n' \
                     f'```shell\n' \
                     f'$ curl --request {method} \\\n' \
                     f'--url "{request_url}" \\\n' \
                     f'--header "content-type: application/json" \\\n'

    if payload:
        readme_message += f'--data {json.dumps(payload)}'

    readme_message += f'\n# response\n' \
                      f'{response}\n' \
                      f'```\n'
    print(readme_message)
    return response


class ASCUnitTestCase(ABC, unittest.TestCase):
    pass