from . import BaseError


class MercadoPagoException(BaseError): pass


class PaymentException(MercadoPagoException): pass


class InvalidInstallments(PaymentException):
    """ Esta exceção não está mapeada na mercadopago.
        Em algumas provedoras, acontece quando: "installments > 1"
    """


class MinValueInstallments(InvalidInstallments):
    """ Valor da parcela não pode ser inferior a 5 reais.
    """
    pass

class CardDoesNotExistsException(MercadoPagoException): pass


class CardInvalid(MercadoPagoException): pass


class CardInvalidExpirationYearException(CardInvalid): pass


class CustomerAlreadyExistsException(MercadoPagoException): pass

