from typing import Union
from dataclasses import dataclass, fields


@dataclass
class Package:
    width:int = 10
    height:int = 10
    length:int = 10
    weight:float = 0.5
    insurance_value:float = 10.1
    quantity:int = 1


@dataclass(init=False)
class OrderSearch:
    id:str
    status:str
    tracking:str
    posted_at:str=None
    canceled_at:str=None
    delivered_at:str=None

    def __init__(self, **kwargs):
        names = set([f.name for f in fields(self)])
        for k, v in kwargs.items():
            if k in names:
                setattr(self, k, v)