from asc.core import env
from asc.core.ABC.APIRequestor import APIRequestor
from asc.tools.marketplace.pagarme.data import Transaction
from asc.tools.marketplace.pagarme.data import TransactionPix


class Pagarme(APIRequestor):

    base_api_url = env.get('pagarme__url_baseapi')
    base_payload = {
        'api_key': env.get('pagarme__key_api')
    }
    base_queries = {
        'api_key': env.get('pagarme__key_api')
    }
    base_headers = {
        'Accept': 'application/json',
        'User-Agent': 'ASC-Tools-marketplace',
    }

    def __init__(self):
        super().__init__()

    def __response(self, response, parseAs: str = 'json'):
        if parseAs == 'json':
            resp = response.json()

            if 'error' in resp:
                raise Exception(resp)

            return resp

        return response.text

    def GET_recipients(self) -> dict:
        """
        Retorna um Array de objetos com todos os recebedores
        criados pela sua companhia.
        :return:
        """
        return self.__response(
            self.GET('recipients')
        )

    def PUT_recipient(self, id_recipient:str, payload:dict):
        """
        Após criar um recebedor, você pode atualizar
        todas as configurações dele.
        :return:
        """
        return self.__response(
            self.PUT(f'recipients/{id_recipient}', payload)
        )

    def POST_transaction(self, transaction:Transaction):
        """
        :return:
        """
        return self.__response(
            self.POST(f'transactions', transaction)
        )

    def POST_transaction_pix(self, transaction_pix:TransactionPix):
        """
        :return:
        """
        return self.__response(
            self.POST(f'transactions', transaction_pix.asdict())
        )